summaryrefslogtreecommitdiff
path: root/tests/rm/ir-1
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-01-23 14:42:10 +0100
committerJim Meyering <meyering@redhat.com>2012-01-23 14:42:10 +0100
commitdec02bb98ec59fc1a5a0ed6ae1dda2bda69af111 (patch)
tree84578716de23a06630790d4d1cf7221654b94275 /tests/rm/ir-1
parent80bc8651fd6b0a41be00ab4ee82e920287b15cbc (diff)
downloadcoreutils-dec02bb98ec59fc1a5a0ed6ae1dda2bda69af111.tar.xz
tests: remove crufty test=test_name code from old tests
Before init.sh and similar, we would set test=test_name, and then construct temporary file names using $test. Now that each init.sh-using test is in its own directory, that practice is unwelcome. Remove bad examples. * tests/rm/f-1: Per above. * tests/rm/i-1: Likewise. * tests/rm/interactive-always: Likewise. * tests/rm/interactive-once: Likewise. * tests/rm/ir-1: Likewise. * tests/rm/r-1: Likewise.
Diffstat (limited to 'tests/rm/ir-1')
-rwxr-xr-xtests/rm/ir-16
1 files changed, 2 insertions, 4 deletions
diff --git a/tests/rm/ir-1 b/tests/rm/ir-1
index 89f4c4325..ea68745c9 100755
--- a/tests/rm/ir-1
+++ b/tests/rm/ir-1
@@ -16,8 +16,6 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-test=ir-1
-
. "${srcdir=.}/init.sh"; path_prepend_ ../src
print_ver_ rm
@@ -27,7 +25,7 @@ mkdir -p $t $t/a $t/b $t/c || framework_failure_
> $t/b/bb || framework_failure_
> $t/c/cc || framework_failure_
-cat <<EOF > $test.I
+cat <<EOF > in
y
y
y
@@ -44,7 +42,7 @@ EOF
# Remove all but one of a, b, c -- I doubt that this test can portably
# determine which one was removed based on order of dir entries.
# This is a good argument for switching to a dejagnu-style test suite.
-rm --verbose -i -r $t < $test.I > /dev/null 2>&1 || fail=1
+rm --verbose -i -r $t < in > /dev/null 2>&1 || fail=1
# $t should not have been removed.
test -d $t || fail=1